
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "X43REE", targetNamespace = "com/ejie/x43s/v2/ree/ws", wsdlLocation = "META-INF/wsdls/X43ExpedienteElectronico.wsdl")
public class X43REE extends Service {

	private final static URL X43REE_WSDL_LOCATION;
	private final static Logger logger = Logger
			.getLogger(com.ejie.ab63.clientesWS.X43ExpedienteElectronico.X43REE.class.getName());

	static {
		URL url = null;
		try {
			URL baseUrl;
			baseUrl = com.ejie.ab63.clientesWS.X43ExpedienteElectronico.X43REE.class.getResource(".");
			url = new URL(baseUrl, "META-INF/wsdls/X43ExpedienteElectronico.wsdl");
		} catch (MalformedURLException e) {
			logger.warning(
					"Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43ExpedienteElectronico.wsdl', retrying as a local file");
			logger.warning(e.getMessage());
		}
		X43REE_WSDL_LOCATION = url;
	}

	public X43REE(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public X43REE() {
		super(X43REE_WSDL_LOCATION, new QName("com/ejie/x43s/v2/ree/ws", "X43REE"));
	}

	/**
	 * 
	 * @return returns X43REEPortType
	 */
	@WebEndpoint(name = "X43REEPort")
	public X43REEPortType getX43REEPort() {
		return super.getPort(new QName("com/ejie/x43s/v2/ree/ws", "X43REEPort"), X43REEPortType.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns X43REEPortType
	 */
	@WebEndpoint(name = "X43REEPort")
	public X43REEPortType getX43REEPort(WebServiceFeature... features) {
		return super.getPort(new QName("com/ejie/x43s/v2/ree/ws", "X43REEPort"), X43REEPortType.class, features);
	}

}
